﻿@{
    ViewData["Title"] = "Links";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<div id="modal-placeholder"></div>
<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-sm-4">
        <h2>Station Links</h2>
    </div>
</div>
<div class="wrapper wrapper-content animated fadeInUp">
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-title">
                    <div class="ibox-tools">
                        <a class="btn btn-primary btn-xs" id="newLink">Create New Link</a>
                    </div>
                </div>
                <div class="ibox-content">
                    <div class="table-responsive">

                        <table class="table table-striped table-bordered table-hover dataTable" id="dataTable" style="width:100%">
                            <thead>
                                <tr>
                                    <th>Tag ID</th>
                                    <th>Tag Type</th>
                                    <th>Client System ID</th>
                                    <th>Client System Name</th>
                                    <th>Organization</th>
                                    <th>Last seen date</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


@section Styles{
    <link rel="stylesheet" href="~/lib/datatables/datatables.min.css" asp-append-version="true" />
}

@section Scripts {
    <script src="~/lib/datatables/js/datatables.min.js" asp-append-version="true"></script>
    <script src="~/lib/datatables/js/dataTables.bootstrap4.min.js" asp-append-version="true"></script>
    <script src="~/js/app/station-links-ui.js" asp-append-version="true"></script>
    <script src="~/lib/sweetalert/sweetalert.min.js"></script>


    <script type="text/javascript">
        $(document).ready(function () {
            new tagLinksValues({
                 organizationID: @Json.Serialize(ViewData["OrganizationID"]),
                 getTableDataUrl: "@Url.Action("LoadDataTable","StationLinks")",
                 createEditModalUrl: "@Url.Action("CreateEditModal","StationLinks")",
                 removeLink: "@Url.Action("RemoveData","StationLinks")"
            });
        });

    </script>

}
